/*
 * USAGE.C Version 1.01 (C)1996 HUDSON SOFT
 * MIX 再生サンプルプログラムタイトル等の表示(USAGE.C)
 */
#include <stdio.h>
#include <stdlib.h>
#include "mixplay.h"

/* エラーの表示を行います。
 *
 * 何らかのエラーが検出されると表示されます。表示後にプログラムを終了コード 1
 * で終了します。
 *
 * 入力
 * char		    *mess  エラーメッセージ
 *
 * 出力
 * なし
 */
void error(char *mess)
{
    if (mess != NULL) printf("%s\n",mess);
    tgfx_close();
    pio_reset();
    pio_close();
    free_file_list();
    exit(1);
}

/* タイトルの表示を行います。
 *
 * 入力
 * なし
 *
 * 出力
 * なし
 */
void title(void)
{
    printf("MIXPLAY Version 1.01 (C)1996 HUDSON SOFT\n");
}

/* 使用方法の表示を行います。
 *
 * DOS のコマンドラインで使用方法を間違えた際に表示されます。表示後にプログラム
 * を終了コード 1 で終了します。
 *
 * 入力
 * char		    *mess  エラーメッセージ
 *
 * 出力
 * なし
 */
void usage(char *mess)
{
    printf("Usage: mixplay [options] mix_file [mix_file...]\n"
	   "        -b file         load file (default \x22mixplay.bin\x22)\n"
	   "        -d              debug mode\n");
	error(mess);
}
